%define upstream_name    Log-Dump
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Simple logger mainly for debugging
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile)
BuildRequires: perl(IO::Capture)
BuildRequires: perl(IO::File)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::Classy)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::UseAllModules)
BuildArch: noarch

%description
the Log::Dump manpage is a simple logger mix-in mainly for debugging. This
installs six methods into a caller (the class that 'use'd the Log::Dump
manpage) via the Sub::Install manpage. The point is you don't need to load
extra dumper modules or you don't need to concatenate messages. Just log
things and they will be dumped (and concatenated if necessary) to stderr,
and to a file if you prefer. Also, you can use these logging methods as
class methods or object methods (though usually you don't want to mix them,
especially when you're doing something special).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-6.mga6
+ Revision: 1029361
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.140.0-5.mga6
+ Revision: 949284
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.140.0-4.mga5
+ Revision: 789573
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-3.mga5
+ Revision: 747456
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.140.0-1.mga5
+ Revision: 664275
- update to 0.14

* Fri Oct 18 2013 umeabot <umeabot> 0.130.0-3.mga4
+ Revision: 512619
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 369221
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 0.130.0-1.mga3
+ Revision: 308808
- imported package perl-Log-Dump


* Sun Oct 21 2012 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
